<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $cfg_soft_lang; ?>">
<title>專題管理</title>
<link rel="stylesheet" type="text/css" href="css/base.css">
<script language="javascript" src="js/context_menu.js"></script>
<script language="javascript" src="js/ieemu.js"></script>
<script language="javascript">
if(moz) {
	extendEventObject();
	extendElementModel();
	emulateAttachEvent();
}
function viewArc(aid){
	if(aid==0) aid = getOneItem();
	window.open("archives_do.php?aid="+aid+"&dopost=viewArchives");
}
function editArc(aid){
	if(aid==0) aid = getOneItem();
	location="archives_do.php?aid="+aid+"&dopost=editArchives";
}
function updateArc(aid){
	var qstr=getCheckboxItem();
	if(aid==0) aid = getOneItem();
	location="archives_do.php?aid="+aid+"&dopost=makeArchives&qstr="+qstr;
}
function checkArc(aid){
	var qstr=getCheckboxItem();
	if(aid==0) aid = getOneItem();
	location="archives_do.php?aid="+aid+"&dopost=checkArchives&qstr="+qstr;
}
function adArc(aid){
	var qstr=getCheckboxItem();
	if(aid==0) aid = getOneItem();
	location="archives_do.php?aid="+aid+"&dopost=commendArchives&qstr="+qstr;
}
function delArc(aid){
	var qstr=getCheckboxItem();
	if(aid==0) aid = getOneItem();
	location="archives_do.php?qstr="+qstr+"&aid="+aid+"&dopost=delArchives";
}
//上下文菜單
function ShowMenu(evt,obj,aid,atitle)
{
  var eobj,popupoptions
  popupoptions = [
    new ContextItem("瀏覽文檔",function(){ viewArc(aid); }),
    new ContextItem("編輯文檔",function(){ editArc(aid); }),
    new ContextSeperator(),
    new ContextItem("更新HTML",function(){ updateArc(aid); }),
    new ContextItem("審核文檔",function(){ checkArc(aid); }),
    new ContextItem("推薦文檔",function(){ adArc(aid); }),
    new ContextSeperator(),
    new ContextItem("刪除文檔",function(){ delArc(aid); }),
    new ContextSeperator(),
    new ContextItem("全部選擇",function(){ selAll(); }),
    new ContextItem("取消選擇",function(){ noSelAll(); }),
    new ContextSeperator(),
    new ContextItem("關閉菜單",function(){})
  ]
  ContextMenu.display(evt,popupoptions)
}

//獲得選中文件的文件名
function getCheckboxItem()
{
	var allSel="";
	if(document.form2.arcID.value) return document.form2.arcID.value;
	for(i=0;i<document.form2.arcID.length;i++)
	{
		if(document.form2.arcID[i].checked)
		{
			if(allSel=="")
				allSel=document.form2.arcID[i].value;
			else
				allSel=allSel+"`"+document.form2.arcID[i].value;
		}
	}
	return allSel;	
}

//獲得選中其中一個的id
function getOneItem()
{
	var allSel="";
	if(document.form2.arcID.value) return document.form2.arcID.value;
	for(i=0;i<document.form2.arcID.length;i++)
	{
		if(document.form2.arcID[i].checked)
		{
				allSel = document.form2.arcID[i].value;
				break;
		}
	}
	return allSel;	
}

function selAll()
{
	for(i=0;i<document.form2.arcID.length;i++)
	{
		if(!document.form2.arcID[i].checked)
		{
			document.form2.arcID[i].checked=true;
		}
	}
}
function noSelAll()
{
	for(i=0;i<document.form2.arcID.length;i++)
	{
		if(document.form2.arcID[i].checked)
		{
			document.form2.arcID[i].checked=false;
		}
	}
}
</script>
</head>
<body leftmargin="8" topmargin="8" background='images/allbg.gif' onLoad="ContextMenu.intializeContextMenu()">
<table width='98%' border='0' align='center' cellpadding='0' cellspacing='0'>
<tr> 
<td align='center' valign='top'>
	<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#D6D6D6">
		<tr> 
    <td height="26" background="images/newlinebg3.gif">
    <table width="98%" border="0" cellspacing="0" cellpadding="0">
     <tr> 
     <td align="center">
   <input type='button' class="coolbg np" onClick="location='makehtml_spec.php';" value='更新專題HTML' />
   <input type='button' class="coolbg np" onClick="location='spec_add.php';" value='添加專題' />
   <?php echo $CheckUserSend?> 
   <input type='button' class="coolbg np" onClick="location='catalog_main.php';" value='頻道管理' />
       </td>
     </tr>
    </table>
    </td>
    </tr>
  </table>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr bgcolor="#FFFFFF"><td height="4"></td></tr>
</table>
<table width="100%" border="0" cellpadding="2" cellspacing="1" bgcolor="#cfcfcf">
<tr bgcolor="#E7E7E7"> 
<td height="24" colspan="9" background="images/tbg.gif" style="padding-left:10px;">
	<strong>文章列表</strong>
	(在文章標題處使用鼠標右鍵進行常用操作)
	</td>
</tr>
<form name="form2">
<tr align="center" bgcolor="#FBFCE2" height="25"> 
<td width="6%">ID</td>
<td width="4%">選擇</td>
<td width="30%">文章標題</td>
<td width="12%">更新時間</td>
<td width="11%">類目</td>
<td width="8%">點擊</td>
<td width="7%">HTML</td>
<td width="9%">權限</td>
<td width="12%">屬性</td>
</tr>
{dede:datalist}
<tr align='center' bgcolor="#FFFFFF"  onMouseMove="javascript:this.bgColor='#FCFDEE';" onMouseOut="javascript:this.bgColor='#FFFFFF';" height="25" oncontextmenu="ShowMenu(event,this,{dede:field.id/},'<?php echo urlencode($fields['title'])?>')"> 
<td>{dede:field.id/}</td>
<td><input name="arcID" type="checkbox" id="arcID" value="{dede:field.id/}" class="np"></td>
<td align='left'>
<a href='archives_do.php?aid={dede:field.id/}&dopost=editArchives' oncontextmenu="ShowMenu(event,this,{dede:field.id/},'<?php echo urlencode($fields['title'])?>')">
	<u>{dede:field.title/}</u>
</a>
</td>
<td><?php echo MyDate("Y-m-d H:i",$fields['senddate'])?></td>
<td>{dede:field.typeid function='GetTypename(@me)'/}</td>
<td>{dede:field.click/}</td>
<td><?php echo IsHtmlArchives($fields['ismake'])?></td>
<td><?php echo GetRankName($fields['arcrank'])?></td>
<td><?php echo IsCommendArchives($fields['flag'])?></td>
</tr>
{/dede:datalist}
<tr bgcolor="#ffffff"> 
<td height="24" colspan="9">
&nbsp;
<a href="javascript:selAll()" class="coolbg">全選</a> 
<a href="javascript:noSelAll()" class="coolbg">取消</a> 
<a href="javascript:viewArc(0)" class="coolbg">&nbsp;查看&nbsp;</a> 
<a href="javascript:editArc(0)" class="coolbg">&nbsp;更改&nbsp;</a> 
<a href="javascript:updateArc(0)" class="coolbg">&nbsp;更新&nbsp;</a> 
<a href="javascript:checkArc(0)" class="coolbg">&nbsp;審核&nbsp;</a> 
<a href="javascript:adArc(0)" class="coolbg">&nbsp;推薦&nbsp;</a> 
<a href="javascript:delArc(0)" class="coolbg">&nbsp;刪除&nbsp;</a> 
</td>
</tr>
</form>
<tr align="right" bgcolor="#F9FCEF"> 
<td height="20" colspan="9" align="center">
	{dede:pagelist listsize=5/}
</td>
</tr>
</table>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr> 
<td height="4"></td>
</tr>
<tr bgcolor="#FFFFFF"> 
<td height="28">
<table width='100%'  border='0' cellpadding='1' cellspacing='1' bgcolor='#cfcfcf'>
   <tr bgcolor='#EEF4EA'> 
          <form name='form3' action='content_s_list.php' method='get'>
          <input type='hidden' name='dopost' value='listArchives'>
          <td background='images/wbg.gif'>
          	<table width='600' border='0' cellpadding='0' cellspacing='0'>
          	<tr>
          	<td width='90' align='center'>請選擇類目：</td>
          	<td width='160'>
          <select name='cid' style='width:150'>
          <option value='0'>選擇分類...</option>
          	<?php echo $optionarr?>
          </select>
        </td>
        <td width='70'>
          關鍵字：
        </td>
          <td width='160'>
          	<input type='text' name='keyword' value='<?php echo $keyword?>' style='width:150'>
          </td>
          <td>
          <input name="imageField" type="image" src="images/button_search.gif" width="60" height="22" border="0" class="np">
         </td>
        </tr>
        </table>
          </td>
        </form>
        </tr>
      </table>
      
</td>
</tr>
<tr> 
<td colspan="2" height="4"></td>
</tr>
</table>
</td>
</tr>
</table>
</body>
</html>